Hatena::Groupiphone-dev

iPhoneアプリ開発まっしぐら★ このページをアンテナに追加 RSSフィード

引っ越し後の日記はコチラです

tokoromのその他の日記

2009-07-16

iPhone OS 3.0 beta2 にアップデートに失敗

21:43 | はてなブックマーク - iPhone OS 3.0 beta2 にアップデートに失敗 - iPhoneアプリ開発まっしぐら★

手持ちの iPod Touch 2G を iPhone OS 3.0 bata2 にアップデートしてみたところ、iPod Touch が正常に起動しなくなってしまいました。

開発用のやつでよかった・・・

常に iTunes につないでね・・というメッセージが表示されるのみで、iTunesにつないでも、この」「サーバがこのiTunesに対応していません」とかいうエラーが出るのみ。

もちろん、iTunesは最新版にしていますし、試しに古いバージョンで接続してみても、PCを代えてみても結果は同じ。。。

エラーメッセージちゃんとメモしとけば良かったな。うろ覚えですが

「・・・. The server does not support this iTunes version.」

とかだったかな。

どうにもならないので、ひとまず、レストアしました。

レストアの方法

で、今ちょうどもう一回、アップデートを試してみているのですが・・・

こんなエラー出ました。

The iPod "xxxx" could not be updated.

An unknown error occurred (2005).

おっと、再現。そういえば始めはこんなエラーだったな。

で、もう一度iTunesに繋ぎ直すと・・・

The iPod software update server could not be contacted.

The server does not support this version of iTunes.

これだこれだ。

再現したのは嬉しいが、なんでアップデートできないんだろ。

ちなみに、1回目のバージョンアップ元は iPhone OS 3.1 beat1。

今はレストア後なので Pure な iPhone OS 3.0 と思います。

どなたかご存知でしょうか?

2009/7/31 追記

つれづれ日記さんにアドバイスいただき、

「すべてのコンテンツと設定を消去」

もしてからまっさらな状態でのアップデートを試してみましたが、やはりエラー番号2005が発生してダメでした・・・

ゲスト



トラックバック - http://iphone-dev.g.hatena.ne.jp/tokorom/20090716